﻿using Sirenix.OdinInspector;
using UnityEngine;

#if UNITY_EDITOR
using UnityEditor;
#endif


namespace SettingsProviderBug
{
    [CreateAssetMenu]
    [HideMonoScript]
    public class Settings : ScriptableObject
    {
        public string[] Strings;


#if UNITY_EDITOR

        [SettingsProvider]
        private static SettingsProvider CreateSettingsProvider()
        {
            return AssetSettingsProvider.CreateProviderFromAssetPath(
                "Settings Provider Bug/Settings", "Assets/Settings/Settings.asset");
        }

#endif
    }
}
